%define ivy_home /opt/apache-ivy
%define ant_home /opt/apache-ant

Summary:        Dependency manager
Name:		apache-ivy-bin
Version:	2.2.0
Release:	0
License:        BSD
URL:            http://www.jayasoft.org/ivy
Group:          Development/Libraries/Java
Source0:	apache-ivy-%{version}-bin-with-deps.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: apache-ant-bin

%description 
Ivy is a free java based dependency manager, with powerful features such
as transitive dependencies, ant integration, maven repository compatibility,
continuous integration, html reports and many more.

This package is a repackaging of the binary tarball found at http://www.jayasoft.org/ivy .
It is primarily intended as a BuildRequires for the red5 RPM package.

%prep

%setup -q -n apache-ivy-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{ivy_home}
mkdir -p $RPM_BUILD_ROOT%{ant_home}/lib
cp -r * $RPM_BUILD_ROOT%{ivy_home}
(cd $RPM_BUILD_ROOT%{ant_home}/lib && ln -s ../../apache-ivy/ivy-2.2.0.jar ivy.jar)

%files
%{ivy_home}/*
%{ant_home}/lib/*

%changelog
* Fri Mar 11 2011 Alex Villacis Lasso <a_villacis@palosanto.com>
- Initial RPM packaging of binary package.
